<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Solid.DeviceInterface</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>DeviceInterface Class Reference</h1>
<code>from PyKDE4.solid import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />
Subclasses: <a href="../solid/Solid.AcAdapter.html">Solid.AcAdapter</a>, <a href="../solid/Solid.AudioInterface.html">Solid.AudioInterface</a>, <a href="../solid/Solid.Battery.html">Solid.Battery</a>, <a href="../solid/Solid.Block.html">Solid.Block</a>, <a href="../solid/Solid.Button.html">Solid.Button</a>, <a href="../solid/Solid.Camera.html">Solid.Camera</a>, <a href="../solid/Solid.DvbInterface.html">Solid.DvbInterface</a>, <a href="../solid/Solid.GenericInterface.html">Solid.GenericInterface</a>, <a href="../solid/Solid.NetworkInterface.html">Solid.NetworkInterface</a>, <a href="../solid/Solid.PortableMediaPlayer.html">Solid.PortableMediaPlayer</a>, <a href="../solid/Solid.Processor.html">Solid.Processor</a>, <a href="../solid/Solid.StorageAccess.html">Solid.StorageAccess</a>, <a href="../solid/Solid.StorageDrive.html">Solid.StorageDrive</a>, <a href="../solid/Solid.StorageVolume.html">Solid.StorageVolume</a>, <a href="../solid/Solid.Video.html">Solid.Video</a><br />
Namespace: Solid<br />
<h2>Detailed Description</h2>

<p>Base class of all the device interfaces.
</p>
<p>
A device interface describes what a device can do. A device generally has
a set of device interfaces.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj187187756">Type</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Unknown, GenericInterface, Processor, Block, StorageAccess, StorageDrive, OpticalDrive, StorageVolume, OpticalDisc, Camera, PortableMediaPlayer, NetworkInterface, AcAdapter, Battery, Button, AudioInterface, DvbInterface, Video, Last&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189073228">__init__</a> (self, DeviceInterfacePrivate dd, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> backendObject)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167804428">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167944076">isValid</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Solid.DeviceInterface.Type&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189071692">stringToType</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> type)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj167940428">typeToString</a> (Solid.DeviceInterface.Type type)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj189073228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">DeviceInterfacePrivate&nbsp;</td>
<td class="paramname"><em>dd</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>backendObject</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Creates a new DeviceInterface object.
</dd></dl> </p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>dd</em>&nbsp;</td><td> the private d member. It will take care of deleting it upon destruction.

<tr><td></td><td valign="top"><em>backendObject</em>&nbsp;</td><td> the device interface object provided by the backend
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj167804428"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj167944076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isValid</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Indicates if this device interface is valid.
A device interface is considered valid if the device it is referring is available in the system.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if this device interface's device is available, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj189071692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Solid.DeviceInterface.Type stringToType</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>type</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the device interface type for the given name
</dd></dl>
</p></div></div><a class="anchor" name="obj167940428"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> typeToString</td>
<td>(</td>
<td class="paramtype">Solid.DeviceInterface.Type&nbsp;</td>
<td class="paramname"><em>type</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the name of the device interface type
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj187187756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">Type</td>
</tr>
</table>
</div>
<div class="memdoc"><p>This enum type defines the type of device interface that a Device can have.
</p>
<p>
- Unknown : An undetermined device interface
- Processor : A processor
- Block : A block device
- StorageDrive : A storage drive
- Cdrom : A CD-ROM drive
- StorageVolume : A volume
- OpticalDisc : An optical disc
- Camera : A digital camera
- PortableMediaPlayer: A portable media player
- NetworkInterface: A network interface
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Unknown</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>GenericInterface</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>Processor</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>Block</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>StorageAccess</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>StorageDrive</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>OpticalDrive</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>StorageVolume</em>&nbsp;=&nbsp;7</td><td><tr><td valign="top"><em>OpticalDisc</em>&nbsp;=&nbsp;8</td><td><tr><td valign="top"><em>Camera</em>&nbsp;=&nbsp;9</td><td><tr><td valign="top"><em>PortableMediaPlayer</em>&nbsp;=&nbsp;10</td><td><tr><td valign="top"><em>NetworkInterface</em>&nbsp;=&nbsp;11</td><td><tr><td valign="top"><em>AcAdapter</em>&nbsp;=&nbsp;12</td><td><tr><td valign="top"><em>Battery</em>&nbsp;=&nbsp;13</td><td><tr><td valign="top"><em>Button</em>&nbsp;=&nbsp;14</td><td><tr><td valign="top"><em>AudioInterface</em>&nbsp;=&nbsp;15</td><td><tr><td valign="top"><em>DvbInterface</em>&nbsp;=&nbsp;16</td><td><tr><td valign="top"><em>Video</em>&nbsp;=&nbsp;17</td><td><tr><td valign="top"><em>Last</em>&nbsp;=&nbsp;0xffff</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
